Thrown to print an error message but not a `stack`

### Hierarchy

- Error
  - CliTerseError

## Index

### Constructors

- constructor

### Properties

- code
- exitCode
- message
- name
- stack
- Error

## Constructors

### constructor

- new CliTerseError(message: string, exitCode?: number): CliTerseError

- - Defined in src/cli-terse-error.ts:12

  #### Parameters

  - ##### message: string

  - ##### Default value exitCode: number = 1

  #### Returns CliTerseError

## Properties

### code

code: typeof CLI_TERSE_ERROR

- Defined in src/cli-terse-error.ts:9

The string constant `CLI_TERSE_ERROR`

### exitCode

exitCode: number

- Defined in src/cli-terse-error.ts:12

Numeric code with which to return/exit

### message

message: string

Inherited from CliTerseError.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1023

### name

name: string

Inherited from CliTerseError.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1022

### Optional stack

stack: undefined | string

Inherited from CliTerseError.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1024

### Static Error

Error: ErrorConstructor

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1033

Generated using TypeDoc and MonoLisa